Skip to main content
PATCH
Update an evaluator

Authorizations

session
string
cookie
required

The session cookie set when you sign in to AgentHub or ModelHub in a browser. The cookie name shown here is illustrative. There are no API tokens for these endpoints.

Path Parameters

orgId
string<uuid>
required

Organization id.

evaluatorId
string<uuid>
required

Evaluator id.

Body

application/json

Any subset of the create fields. At least one field is required.

name
string
Required string length: 1 - 128
category
enum<string>
Available options:
quality,
agent,
safety,
mcp,
memory,
hallucination,
bias,
privacy,
faithfulness,
relevance,
performance,
custom
description
string
Maximum string length: 2000
tags
string[]
Maximum array length: 20
Required string length: 1 - 64
prompt_template
string

Must contain {{trace}}, {{input}} or {{output}}.

Required string length: 1 - 24000

Response

Updated.

data
object
required